Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.math.webservices
Class Currency

    java.lang.Object
      com.knowgate.math.webservices.Currency

All Implemented Interfaces:
  java.io.Serializable

    public class Currency

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `_AED`
`static java.lang.String` | `_AFA`
`static java.lang.String` | `_ALL`
`static java.lang.String` | `_ANG`
`static java.lang.String` | `_ARS`
`static java.lang.String` | `_AUD`
`static java.lang.String` | `_AWG`
`static java.lang.String` | `_BBD`
`static java.lang.String` | `_BDT`
`static java.lang.String` | `_BHD`
`static java.lang.String` | `_BIF`
`static java.lang.String` | `_BMD`
`static java.lang.String` | `_BND`
`static java.lang.String` | `_BOB`
`static java.lang.String` | `_BRL`
`static java.lang.String` | `_BSD`
`static java.lang.String` | `_BTN`
`static java.lang.String` | `_BWP`
`static java.lang.String` | `_BZD`
`static java.lang.String` | `_CAD`
`static java.lang.String` | `_CHF`
`static java.lang.String` | `_CLP`
`static java.lang.String` | `_CNY`
`static java.lang.String` | `_COP`
`static java.lang.String` | `_CRC`
`static java.lang.String` | `_CUP`
`static java.lang.String` | `_CVE`
`static java.lang.String` | `_CYP`
`static java.lang.String` | `_CZK`
`static java.lang.String` | `_DJF`
`static java.lang.String` | `_DKK`
`static java.lang.String` | `_DOP`
`static java.lang.String` | `_DZD`
`static java.lang.String` | `_EEK`
`static java.lang.String` | `_EGP`
`static java.lang.String` | `_ETB`
`static java.lang.String` | `_EUR`
`static java.lang.String` | `_FKP`
`static java.lang.String` | `_GBP`
`static java.lang.String` | `_GHC`
`static java.lang.String` | `_GIP`
`static java.lang.String` | `_GMD`
`static java.lang.String` | `_GNF`
`static java.lang.String` | `_GTQ`
`static java.lang.String` | `_GYD`
`static java.lang.String` | `_HKD`
`static java.lang.String` | `_HNL`
`static java.lang.String` | `_HRK`
`static java.lang.String` | `_HTG`
`static java.lang.String` | `_HUF`
`static java.lang.String` | `_IDR`
`static java.lang.String` | `_ILS`
`static java.lang.String` | `_INR`
`static java.lang.String` | `_IQD`
`static java.lang.String` | `_ISK`
`static java.lang.String` | `_JMD`
`static java.lang.String` | `_JOD`
`static java.lang.String` | `_JPY`
`static java.lang.String` | `_KES`
`static java.lang.String` | `_KHR`
`static java.lang.String` | `_KMF`
`static java.lang.String` | `_KPW`
`static java.lang.String` | `_KRW`
`static java.lang.String` | `_KWD`
`static java.lang.String` | `_KYD`
`static java.lang.String` | `_KZT`
`static java.lang.String` | `_LAK`
`static java.lang.String` | `_LBP`
`static java.lang.String` | `_LKR`
`static java.lang.String` | `_LRD`
`static java.lang.String` | `_LSL`
`static java.lang.String` | `_LTL`
`static java.lang.String` | `_LVL`
`static java.lang.String` | `_LYD`
`static java.lang.String` | `_MAD`
`static java.lang.String` | `_MDL`
`static java.lang.String` | `_MGF`
`static java.lang.String` | `_MKD`
`static java.lang.String` | `_MMK`
`static java.lang.String` | `_MNT`
`static java.lang.String` | `_MOP`
`static java.lang.String` | `_MRO`
`static java.lang.String` | `_MTL`
`static java.lang.String` | `_MUR`
`static java.lang.String` | `_MVR`
`static java.lang.String` | `_MWK`
`static java.lang.String` | `_MXN`
`static java.lang.String` | `_MYR`
`static java.lang.String` | `_MZM`
`static java.lang.String` | `_NAD`
`static java.lang.String` | `_NGN`
`static java.lang.String` | `_NIO`
`static java.lang.String` | `_NOK`
`static java.lang.String` | `_NPR`
`static java.lang.String` | `_NZD`
`static java.lang.String` | `_OMR`
`static java.lang.String` | `_PAB`
`static java.lang.String` | `_PEN`
`static java.lang.String` | `_PGK`
`static java.lang.String` | `_PHP`
`static java.lang.String` | `_PKR`
`static java.lang.String` | `_PLN`
`static java.lang.String` | `_PYG`
`static java.lang.String` | `_QAR`
`static java.lang.String` | `_ROL`
`static java.lang.String` | `_RUB`
`static java.lang.String` | `_SAR`
`static java.lang.String` | `_SBD`
`static java.lang.String` | `_SCR`
`static java.lang.String` | `_SDD`
`static java.lang.String` | `_SEK`
`static java.lang.String` | `_SGD`
`static java.lang.String` | `_SHP`
`static java.lang.String` | `_SIT`
`static java.lang.String` | `_SKK`
`static java.lang.String` | `_SLL`
`static java.lang.String` | `_SOS`
`static java.lang.String` | `_SRG`
`static java.lang.String` | `_STD`
`static java.lang.String` | `_SVC`
`static java.lang.String` | `_SYP`
`static java.lang.String` | `_SZL`
`static java.lang.String` | `_THB`
`static java.lang.String` | `_TND`
`static java.lang.String` | `_TOP`
`static java.lang.String` | `_TRL`
`static java.lang.String` | `_TRY`
`static java.lang.String` | `_TTD`
`static java.lang.String` | `_TWD`
`static java.lang.String` | `_TZS`
`static java.lang.String` | `_UAH`
`static java.lang.String` | `_UGX`
`static java.lang.String` | `_USD`
`static java.lang.String` | `_UYU`
`static java.lang.String` | `_VEB`
`static java.lang.String` | `_VND`
`static java.lang.String` | `_VUV`
`static java.lang.String` | `_WST`
`static java.lang.String` | `_XAF`
`static java.lang.String` | `_XAG`
`static java.lang.String` | `_XAU`
`static java.lang.String` | `_XCD`
`static java.lang.String` | `_XOF`
`static java.lang.String` | `_XPD`
`static java.lang.String` | `_XPF`
`static java.lang.String` | `_XPT`
`static java.lang.String` | `_YER`
`static java.lang.String` | `_YUM`
`static java.lang.String` | `_ZAR`
`static java.lang.String` | `_ZMK`
`static java.lang.String` | `_ZWD`
`static Currency` | `AED`
`static Currency` | `AFA`
`static Currency` | `ALL`
`static Currency` | `ANG`
`static Currency` | `ARS`
`static Currency` | `AUD`
`static Currency` | `AWG`
`static Currency` | `BBD`
`static Currency` | `BDT`
`static Currency` | `BHD`
`static Currency` | `BIF`
`static Currency` | `BMD`
`static Currency` | `BND`
`static Currency` | `BOB`
`static Currency` | `BRL`
`static Currency` | `BSD`
`static Currency` | `BTN`
`static Currency` | `BWP`
`static Currency` | `BZD`
`static Currency` | `CAD`
`static Currency` | `CHF`
`static Currency` | `CLP`
`static Currency` | `CNY`
`static Currency` | `COP`
`static Currency` | `CRC`
`static Currency` | `CUP`
`static Currency` | `CVE`
`static Currency` | `CYP`
`static Currency` | `CZK`
`static Currency` | `DJF`
`static Currency` | `DKK`
`static Currency` | `DOP`
`static Currency` | `DZD`
`static Currency` | `EEK`
`static Currency` | `EGP`
`static Currency` | `ETB`
`static Currency` | `EUR`
`static Currency` | `FKP`
`static Currency` | `GBP`
`static Currency` | `GHC`
`static Currency` | `GIP`
`static Currency` | `GMD`
`static Currency` | `GNF`
`static Currency` | `GTQ`
`static Currency` | `GYD`
`static Currency` | `HKD`
`static Currency` | `HNL`
`static Currency` | `HRK`
`static Currency` | `HTG`
`static Currency` | `HUF`
`static Currency` | `IDR`
`static Currency` | `ILS`
`static Currency` | `INR`
`static Currency` | `IQD`
`static Currency` | `ISK`
`static Currency` | `JMD`
`static Currency` | `JOD`
`static Currency` | `JPY`
`static Currency` | `KES`
`static Currency` | `KHR`
`static Currency` | `KMF`
`static Currency` | `KPW`
`static Currency` | `KRW`
`static Currency` | `KWD`
`static Currency` | `KYD`
`static Currency` | `KZT`
`static Currency` | `LAK`
`static Currency` | `LBP`
`static Currency` | `LKR`
`static Currency` | `LRD`
`static Currency` | `LSL`
`static Currency` | `LTL`
`static Currency` | `LVL`
`static Currency` | `LYD`
`static Currency` | `MAD`
`static Currency` | `MDL`
`static Currency` | `MGF`
`static Currency` | `MKD`
`static Currency` | `MMK`
`static Currency` | `MNT`
`static Currency` | `MOP`
`static Currency` | `MRO`
`static Currency` | `MTL`
`static Currency` | `MUR`
`static Currency` | `MVR`
`static Currency` | `MWK`
`static Currency` | `MXN`
`static Currency` | `MYR`
`static Currency` | `MZM`
`static Currency` | `NAD`
`static Currency` | `NGN`
`static Currency` | `NIO`
`static Currency` | `NOK`
`static Currency` | `NPR`
`static Currency` | `NZD`
`static Currency` | `OMR`
`static Currency` | `PAB`
`static Currency` | `PEN`
`static Currency` | `PGK`
`static Currency` | `PHP`
`static Currency` | `PKR`
`static Currency` | `PLN`
`static Currency` | `PYG`
`static Currency` | `QAR`
`static Currency` | `ROL`
`static Currency` | `RUB`
`static Currency` | `SAR`
`static Currency` | `SBD`
`static Currency` | `SCR`
`static Currency` | `SDD`
`static Currency` | `SEK`
`static Currency` | `SGD`
`static Currency` | `SHP`
`static Currency` | `SIT`
`static Currency` | `SKK`
`static Currency` | `SLL`
`static Currency` | `SOS`
`static Currency` | `SRG`
`static Currency` | `STD`
`static Currency` | `SVC`
`static Currency` | `SYP`
`static Currency` | `SZL`
`static Currency` | `THB`
`static Currency` | `TND`
`static Currency` | `TOP`
`static Currency` | `TRL`
`static Currency` | `TRY`
`static Currency` | `TTD`
`static Currency` | `TWD`
`static Currency` | `TZS`
`static Currency` | `UAH`
`static Currency` | `UGX`
`static Currency` | `USD`
`static Currency` | `UYU`
`static Currency` | `VEB`
`static Currency` | `VND`
`static Currency` | `VUV`
`static Currency` | `WST`
`static Currency` | `XAF`
`static Currency` | `XAG`
`static Currency` | `XAU`
`static Currency` | `XCD`
`static Currency` | `XOF`
`static Currency` | `XPD`
`static Currency` | `XPF`
`static Currency` | `XPT`
`static Currency` | `YER`
`static Currency` | `YUM`
`static Currency` | `ZAR`
`static Currency` | `ZMK`
`static Currency` | `ZWD`

Constructor Summary
`protected` | `Currency(java.lang.String value)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`static Currency` | `fromString(java.lang.String value)`
`static Currency` | `fromValue(java.lang.String value)`
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)`
`static org.apache.axis.encoding.Serializer` | `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)`
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`java.lang.String` | `getValue()`
`int` | `hashCode()`
`java.lang.Object` | `readResolve()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### _AFA

    public static final java.lang.String _AFA

See Also:
  Constant Field Values

### _ALL

    public static final java.lang.String _ALL

See Also:
  Constant Field Values

### _DZD

    public static final java.lang.String _DZD

See Also:
  Constant Field Values

### _ARS

    public static final java.lang.String _ARS

See Also:
  Constant Field Values

### _AWG

    public static final java.lang.String _AWG

See Also:
  Constant Field Values

### _AUD

    public static final java.lang.String _AUD

See Also:
  Constant Field Values

### _BSD

    public static final java.lang.String _BSD

See Also:
  Constant Field Values

### _BHD

    public static final java.lang.String _BHD

See Also:
  Constant Field Values

### _BDT

    public static final java.lang.String _BDT

See Also:
  Constant Field Values

### _BBD

    public static final java.lang.String _BBD

See Also:
  Constant Field Values

### _BZD

    public static final java.lang.String _BZD

See Also:
  Constant Field Values

### _BMD

    public static final java.lang.String _BMD

See Also:
  Constant Field Values

### _BTN

    public static final java.lang.String _BTN

See Also:
  Constant Field Values

### _BOB

    public static final java.lang.String _BOB

See Also:
  Constant Field Values

### _BWP

    public static final java.lang.String _BWP

See Also:
  Constant Field Values

### _BRL

    public static final java.lang.String _BRL

See Also:
  Constant Field Values

### _GBP

    public static final java.lang.String _GBP

See Also:
  Constant Field Values

### _BND

    public static final java.lang.String _BND

See Also:
  Constant Field Values

### _BIF

    public static final java.lang.String _BIF

See Also:
  Constant Field Values

### _XOF

    public static final java.lang.String _XOF

See Also:
  Constant Field Values

### _XAF

    public static final java.lang.String _XAF

See Also:
  Constant Field Values

### _KHR

    public static final java.lang.String _KHR

See Also:
  Constant Field Values

### _CAD

    public static final java.lang.String _CAD

See Also:
  Constant Field Values

### _CVE

    public static final java.lang.String _CVE

See Also:
  Constant Field Values

### _KYD

    public static final java.lang.String _KYD

See Also:
  Constant Field Values

### _CLP

    public static final java.lang.String _CLP

See Also:
  Constant Field Values

### _CNY

    public static final java.lang.String _CNY

See Also:
  Constant Field Values

### _COP

    public static final java.lang.String _COP

See Also:
  Constant Field Values

### _KMF

    public static final java.lang.String _KMF

See Also:
  Constant Field Values

### _CRC

    public static final java.lang.String _CRC

See Also:
  Constant Field Values

### _HRK

    public static final java.lang.String _HRK

See Also:
  Constant Field Values

### _CUP

    public static final java.lang.String _CUP

See Also:
  Constant Field Values

### _CYP

    public static final java.lang.String _CYP

See Also:
  Constant Field Values

### _CZK

    public static final java.lang.String _CZK

See Also:
  Constant Field Values

### _DKK

    public static final java.lang.String _DKK

See Also:
  Constant Field Values

### _DJF

    public static final java.lang.String _DJF

See Also:
  Constant Field Values

### _DOP

    public static final java.lang.String _DOP

See Also:
  Constant Field Values

### _XCD

    public static final java.lang.String _XCD

See Also:
  Constant Field Values

### _EGP

    public static final java.lang.String _EGP

See Also:
  Constant Field Values

### _SVC

    public static final java.lang.String _SVC

See Also:
  Constant Field Values

### _EEK

    public static final java.lang.String _EEK

See Also:
  Constant Field Values

### _ETB

    public static final java.lang.String _ETB

See Also:
  Constant Field Values

### _EUR

    public static final java.lang.String _EUR

See Also:
  Constant Field Values

### _FKP

    public static final java.lang.String _FKP

See Also:
  Constant Field Values

### _GMD

    public static final java.lang.String _GMD

See Also:
  Constant Field Values

### _GHC

    public static final java.lang.String _GHC

See Also:
  Constant Field Values

### _GIP

    public static final java.lang.String _GIP

See Also:
  Constant Field Values

### _XAU

    public static final java.lang.String _XAU

See Also:
  Constant Field Values

### _GTQ

    public static final java.lang.String _GTQ

See Also:
  Constant Field Values

### _GNF

    public static final java.lang.String _GNF

See Also:
  Constant Field Values

### _GYD

    public static final java.lang.String _GYD

See Also:
  Constant Field Values

### _HTG

    public static final java.lang.String _HTG

See Also:
  Constant Field Values

### _HNL

    public static final java.lang.String _HNL

See Also:
  Constant Field Values

### _HKD

    public static final java.lang.String _HKD

See Also:
  Constant Field Values

### _HUF

    public static final java.lang.String _HUF

See Also:
  Constant Field Values

### _ISK

    public static final java.lang.String _ISK

See Also:
  Constant Field Values

### _INR

    public static final java.lang.String _INR

See Also:
  Constant Field Values

### _IDR

    public static final java.lang.String _IDR

See Also:
  Constant Field Values

### _IQD

    public static final java.lang.String _IQD

See Also:
  Constant Field Values

### _ILS

    public static final java.lang.String _ILS

See Also:
  Constant Field Values

### _JMD

    public static final java.lang.String _JMD

See Also:
  Constant Field Values

### _JPY

    public static final java.lang.String _JPY

See Also:
  Constant Field Values

### _JOD

    public static final java.lang.String _JOD

See Also:
  Constant Field Values

### _KZT

    public static final java.lang.String _KZT

See Also:
  Constant Field Values

### _KES

    public static final java.lang.String _KES

See Also:
  Constant Field Values

### _KRW

    public static final java.lang.String _KRW

See Also:
  Constant Field Values

### _KWD

    public static final java.lang.String _KWD

See Also:
  Constant Field Values

### _LAK

    public static final java.lang.String _LAK

See Also:
  Constant Field Values

### _LVL

    public static final java.lang.String _LVL

See Also:
  Constant Field Values

### _LBP

    public static final java.lang.String _LBP

See Also:
  Constant Field Values

### _LSL

    public static final java.lang.String _LSL

See Also:
  Constant Field Values

### _LRD

    public static final java.lang.String _LRD

See Also:
  Constant Field Values

### _LYD

    public static final java.lang.String _LYD

See Also:
  Constant Field Values

### _LTL

    public static final java.lang.String _LTL

See Also:
  Constant Field Values

### _MOP

    public static final java.lang.String _MOP

See Also:
  Constant Field Values

### _MKD

    public static final java.lang.String _MKD

See Also:
  Constant Field Values

### _MGF

    public static final java.lang.String _MGF

See Also:
  Constant Field Values

### _MWK

    public static final java.lang.String _MWK

See Also:
  Constant Field Values

### _MYR

    public static final java.lang.String _MYR

See Also:
  Constant Field Values

### _MVR

    public static final java.lang.String _MVR

See Also:
  Constant Field Values

### _MTL

    public static final java.lang.String _MTL

See Also:
  Constant Field Values

### _MRO

    public static final java.lang.String _MRO

See Also:
  Constant Field Values

### _MUR

    public static final java.lang.String _MUR

See Also:
  Constant Field Values

### _MXN

    public static final java.lang.String _MXN

See Also:
  Constant Field Values

### _MDL

    public static final java.lang.String _MDL

See Also:
  Constant Field Values

### _MNT

    public static final java.lang.String _MNT

See Also:
  Constant Field Values

### _MAD

    public static final java.lang.String _MAD

See Also:
  Constant Field Values

### _MZM

    public static final java.lang.String _MZM

See Also:
  Constant Field Values

### _MMK

    public static final java.lang.String _MMK

See Also:
  Constant Field Values

### _NAD

    public static final java.lang.String _NAD

See Also:
  Constant Field Values

### _NPR

    public static final java.lang.String _NPR

See Also:
  Constant Field Values

### _ANG

    public static final java.lang.String _ANG

See Also:
  Constant Field Values

### _NZD

    public static final java.lang.String _NZD

See Also:
  Constant Field Values

### _NIO

    public static final java.lang.String _NIO

See Also:
  Constant Field Values

### _NGN

    public static final java.lang.String _NGN

See Also:
  Constant Field Values

### _KPW

    public static final java.lang.String _KPW

See Also:
  Constant Field Values

### _NOK

    public static final java.lang.String _NOK

See Also:
  Constant Field Values

### _OMR

    public static final java.lang.String _OMR

See Also:
  Constant Field Values

### _XPF

    public static final java.lang.String _XPF

See Also:
  Constant Field Values

### _PKR

    public static final java.lang.String _PKR

See Also:
  Constant Field Values

### _XPD

    public static final java.lang.String _XPD

See Also:
  Constant Field Values

### _PAB

    public static final java.lang.String _PAB

See Also:
  Constant Field Values

### _PGK

    public static final java.lang.String _PGK

See Also:
  Constant Field Values

### _PYG

    public static final java.lang.String _PYG

See Also:
  Constant Field Values

### _PEN

    public static final java.lang.String _PEN

See Also:
  Constant Field Values

### _PHP

    public static final java.lang.String _PHP

See Also:
  Constant Field Values

### _XPT

    public static final java.lang.String _XPT

See Also:
  Constant Field Values

### _PLN

    public static final java.lang.String _PLN

See Also:
  Constant Field Values

### _QAR

    public static final java.lang.String _QAR

See Also:
  Constant Field Values

### _ROL

    public static final java.lang.String _ROL

See Also:
  Constant Field Values

### _RUB

    public static final java.lang.String _RUB

See Also:
  Constant Field Values

### _WST

    public static final java.lang.String _WST

See Also:
  Constant Field Values

### _STD

    public static final java.lang.String _STD

See Also:
  Constant Field Values

### _SAR

    public static final java.lang.String _SAR

See Also:
  Constant Field Values

### _SCR

    public static final java.lang.String _SCR

See Also:
  Constant Field Values

### _SLL

    public static final java.lang.String _SLL

See Also:
  Constant Field Values

### _XAG

    public static final java.lang.String _XAG

See Also:
  Constant Field Values

### _SGD

    public static final java.lang.String _SGD

See Also:
  Constant Field Values

### _SKK

    public static final java.lang.String _SKK

See Also:
  Constant Field Values

### _SIT

    public static final java.lang.String _SIT

See Also:
  Constant Field Values

### _SBD

    public static final java.lang.String _SBD

See Also:
  Constant Field Values

### _SOS

    public static final java.lang.String _SOS

See Also:
  Constant Field Values

### _ZAR

    public static final java.lang.String _ZAR

See Also:
  Constant Field Values

### _LKR

    public static final java.lang.String _LKR

See Also:
  Constant Field Values

### _SHP

    public static final java.lang.String _SHP

See Also:
  Constant Field Values

### _SDD

    public static final java.lang.String _SDD

See Also:
  Constant Field Values

### _SRG

    public static final java.lang.String _SRG

See Also:
  Constant Field Values

### _SZL

    public static final java.lang.String _SZL

See Also:
  Constant Field Values

### _SEK

    public static final java.lang.String _SEK

See Also:
  Constant Field Values

### _CHF

    public static final java.lang.String _CHF

See Also:
  Constant Field Values

### _SYP

    public static final java.lang.String _SYP

See Also:
  Constant Field Values

### _TWD

    public static final java.lang.String _TWD

See Also:
  Constant Field Values

### _TZS

    public static final java.lang.String _TZS

See Also:
  Constant Field Values

### _THB

    public static final java.lang.String _THB

See Also:
  Constant Field Values

### _TOP

    public static final java.lang.String _TOP

See Also:
  Constant Field Values

### _TTD

    public static final java.lang.String _TTD

See Also:
  Constant Field Values

### _TND

    public static final java.lang.String _TND

See Also:
  Constant Field Values

### _TRL

    public static final java.lang.String _TRL

See Also:
  Constant Field Values

### _USD

    public static final java.lang.String _USD

See Also:
  Constant Field Values

### _AED

    public static final java.lang.String _AED

See Also:
  Constant Field Values

### _UGX

    public static final java.lang.String _UGX

See Also:
  Constant Field Values

### _UAH

    public static final java.lang.String _UAH

See Also:
  Constant Field Values

### _UYU

    public static final java.lang.String _UYU

See Also:
  Constant Field Values

### _VUV

    public static final java.lang.String _VUV

See Also:
  Constant Field Values

### _VEB

    public static final java.lang.String _VEB

See Also:
  Constant Field Values

### _VND

    public static final java.lang.String _VND

See Also:
  Constant Field Values

### _YER

    public static final java.lang.String _YER

See Also:
  Constant Field Values

### _YUM

    public static final java.lang.String _YUM

See Also:
  Constant Field Values

### _ZMK

    public static final java.lang.String _ZMK

See Also:
  Constant Field Values

### _ZWD

    public static final java.lang.String _ZWD

See Also:
  Constant Field Values

### _TRY

    public static final java.lang.String _TRY

See Also:
  Constant Field Values

### AFA

    public static final Currency AFA

### ALL

    public static final Currency ALL

### DZD

    public static final Currency DZD

### ARS

    public static final Currency ARS

### AWG

    public static final Currency AWG

### AUD

    public static final Currency AUD

### BSD

    public static final Currency BSD

### BHD

    public static final Currency BHD

### BDT

    public static final Currency BDT

### BBD

    public static final Currency BBD

### BZD

    public static final Currency BZD

### BMD

    public static final Currency BMD

### BTN

    public static final Currency BTN

### BOB

    public static final Currency BOB

### BWP

    public static final Currency BWP

### BRL

    public static final Currency BRL

### GBP

    public static final Currency GBP

### BND

    public static final Currency BND

### BIF

    public static final Currency BIF

### XOF

    public static final Currency XOF

### XAF

    public static final Currency XAF

### KHR

    public static final Currency KHR

### CAD

    public static final Currency CAD

### CVE

    public static final Currency CVE

### KYD

    public static final Currency KYD

### CLP

    public static final Currency CLP

### CNY

    public static final Currency CNY

### COP

    public static final Currency COP

### KMF

    public static final Currency KMF

### CRC

    public static final Currency CRC

### HRK

    public static final Currency HRK

### CUP

    public static final Currency CUP

### CYP

    public static final Currency CYP

### CZK

    public static final Currency CZK

### DKK

    public static final Currency DKK

### DJF

    public static final Currency DJF

### DOP

    public static final Currency DOP

### XCD

    public static final Currency XCD

### EGP

    public static final Currency EGP

### SVC

    public static final Currency SVC

### EEK

    public static final Currency EEK

### ETB

    public static final Currency ETB

### EUR

    public static final Currency EUR

### FKP

    public static final Currency FKP

### GMD

    public static final Currency GMD

### GHC

    public static final Currency GHC

### GIP

    public static final Currency GIP

### XAU

    public static final Currency XAU

### GTQ

    public static final Currency GTQ

### GNF

    public static final Currency GNF

### GYD

    public static final Currency GYD

### HTG

    public static final Currency HTG

### HNL

    public static final Currency HNL

### HKD

    public static final Currency HKD

### HUF

    public static final Currency HUF

### ISK

    public static final Currency ISK

### INR

    public static final Currency INR

### IDR

    public static final Currency IDR

### IQD

    public static final Currency IQD

### ILS

    public static final Currency ILS

### JMD

    public static final Currency JMD

### JPY

    public static final Currency JPY

### JOD

    public static final Currency JOD

### KZT

    public static final Currency KZT

### KES

    public static final Currency KES

### KRW

    public static final Currency KRW

### KWD

    public static final Currency KWD

### LAK

    public static final Currency LAK

### LVL

    public static final Currency LVL

### LBP

    public static final Currency LBP

### LSL

    public static final Currency LSL

### LRD

    public static final Currency LRD

### LYD

    public static final Currency LYD

### LTL

    public static final Currency LTL

### MOP

    public static final Currency MOP

### MKD

    public static final Currency MKD

### MGF

    public static final Currency MGF

### MWK

    public static final Currency MWK

### MYR

    public static final Currency MYR

### MVR

    public static final Currency MVR

### MTL

    public static final Currency MTL

### MRO

    public static final Currency MRO

### MUR

    public static final Currency MUR

### MXN

    public static final Currency MXN

### MDL

    public static final Currency MDL

### MNT

    public static final Currency MNT

### MAD

    public static final Currency MAD

### MZM

    public static final Currency MZM

### MMK

    public static final Currency MMK

### NAD

    public static final Currency NAD

### NPR

    public static final Currency NPR

### ANG

    public static final Currency ANG

### NZD

    public static final Currency NZD

### NIO

    public static final Currency NIO

### NGN

    public static final Currency NGN

### KPW

    public static final Currency KPW

### NOK

    public static final Currency NOK

### OMR

    public static final Currency OMR

### XPF

    public static final Currency XPF

### PKR

    public static final Currency PKR

### XPD

    public static final Currency XPD

### PAB

    public static final Currency PAB

### PGK

    public static final Currency PGK

### PYG

    public static final Currency PYG

### PEN

    public static final Currency PEN

### PHP

    public static final Currency PHP

### XPT

    public static final Currency XPT

### PLN

    public static final Currency PLN

### QAR

    public static final Currency QAR

### ROL

    public static final Currency ROL

### RUB

    public static final Currency RUB

### WST

    public static final Currency WST

### STD

    public static final Currency STD

### SAR

    public static final Currency SAR

### SCR

    public static final Currency SCR

### SLL

    public static final Currency SLL

### XAG

    public static final Currency XAG

### SGD

    public static final Currency SGD

### SKK

    public static final Currency SKK

### SIT

    public static final Currency SIT

### SBD

    public static final Currency SBD

### SOS

    public static final Currency SOS

### ZAR

    public static final Currency ZAR

### LKR

    public static final Currency LKR

### SHP

    public static final Currency SHP

### SDD

    public static final Currency SDD

### SRG

    public static final Currency SRG

### SZL

    public static final Currency SZL

### SEK

    public static final Currency SEK

### CHF

    public static final Currency CHF

### SYP

    public static final Currency SYP

### TWD

    public static final Currency TWD

### TZS

    public static final Currency TZS

### THB

    public static final Currency THB

### TOP

    public static final Currency TOP

### TTD

    public static final Currency TTD

### TND

    public static final Currency TND

### TRL

    public static final Currency TRL

### USD

    public static final Currency USD

### AED

    public static final Currency AED

### UGX

    public static final Currency UGX

### UAH

    public static final Currency UAH

### UYU

    public static final Currency UYU

### VUV

    public static final Currency VUV

### VEB

    public static final Currency VEB

### VND

    public static final Currency VND

### YER

    public static final Currency YER

### YUM

    public static final Currency YUM

### ZMK

    public static final Currency ZMK

### ZWD

    public static final Currency ZWD

### TRY

    public static final Currency TRY

Constructor Detail

### Currency

    protected Currency(java.lang.String value)

Method Detail

### getValue

    public java.lang.String getValue()

### fromValue

    public static Currency fromValue(java.lang.String value)
                              throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### fromString

    public static Currency fromString(java.lang.String value)
                               throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### readResolve

    public java.lang.Object readResolve()
                                 throws java.io.ObjectStreamException

  Throws:
    `java.io.ObjectStreamException`

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD